<?php

lt_include(PLOG_CLASS_PATH.'class/view/admin/adminplugintemplatedview.class.php');

// implements the main view of the google adsense plugin
class PluginGoogleAdsenseConfigView extends AdminPluginTemplatedView
{
    function PluginGoogleAdsenseConfigView($blogInfo)
	{
		$this->AdminPluginTemplatedView($blogInfo, 'googleadsense', 'googleadsense');
	}

	function render()
	{
		// load some configuration settings
		$blogSettings = $this->_blogInfo->getSettings();
		$pluginEnabled = $blogSettings->getValue('plugin_googleadsense_enabled');
		$client = $blogSettings->getValue('plugin_googleadsense_client');
		$contentEnabled = $blogSettings->getValue('plugin_googleadsense_content_enabled');
		$contentWidth = $blogSettings->getValue('plugin_googleadsense_content_width');
		$contentHeight = $blogSettings->getValue('plugin_googleadsense_content_height');
		$contentSlot = $blogSettings->getValue('plugin_googleadsense_content_slot');


		// create a view and export the settings to the template
		$this->setValue('pluginEnabled', $pluginEnabled);
		$this->setValue('client', $client);
		$this->setValue('contentEnabled', $contentEnabled);
		$this->setValue('contentWidth', $contentWidth);
		$this->setValue('contentHeight', $contentHeight);
		$this->setValue('contentSlot', $contentSlot);



		parent::render();
	}
}

?>
